<?php
/*
Plugin Name: Auto External Link (jQuery)
Plugin URI: http://www.graphact.com/memo/
Description: 任意の範囲内のリンクに、新しいウィンドウで開くためのアイコンを追加します。jQuery版です(arranged by*Tenderfeel)
Author: inocco 
Version: 0.1
Author URI: http://www.graphact.com/memo/
*/

/******************************************************************************
 * AutoExternalLink(for jQuery)
 * 
 * @author		inocco
 * @version		0.1
 * 
 * オリジナル版に上書きして使ってください。
 * @arranged    Tenderfeel
 *****************************************************************************/
class AutoExternalLink {
	
	var $path_css;
	var $path_js;
	
	function AutoExternalLink() {
		$site_url = get_option('siteurl');
		$plugin_root = PLUGINDIR."/AutoExternalLink-jquery/";
		$this->path_css = $site_url."/". $plugin_root . "AutoExternalLink.css";
		$this->path_js  = "/".$plugin_root . "jExternalLink.js";
	}
	
	function echoHeader() {
		wp_enqueue_script( 'AutoExternalLink',$this->path_js, array('jquery'));
	}
	function echoCSS(){
		echo "<link rel=\"stylesheet\" href=\"$this->path_css\" ";
		echo 'type="text/css" media="screen" />' . "\n";
	}
	
}

/******************************************************************************
 * WP-AutoNewLink - WordPress Interface Define
 *****************************************************************************/

$wpAEL = & new AutoExternalLink();

add_action('wp_head', array(&$wpAEL, 'echoCSS'));
add_filter('wp_print_scripts',array(&$wpAEL,'echoHeader'));
?>
